#ifndef EXPORTOOFILEDIALOG
#define EXPORTOOFILEDIALOG

#include <qfiledialog.h>
#include <qstringlist.h>

#include "settings.h"

class ExportOOFileDialog:public QFileDialog
{
	Q_OBJECT
public:
	ExportOOFileDialog();

	ExportOOFileDialog (QWidget * parent = 0, const char * name = 0, bool
	modal = false);
	bool foundConfig();
	QString selectedConfig();
	QString selectedFile();
	void addFilter(const QString &);
	 
private slots:
	void  newConfigPath (const QString&f);

private:
	void init();
	void scanExportConfigs(QDir );
	QStringList configPaths;
	QStringList filters;
	QString lastFilter;
	
};
#endif
